Bug 922353 - (CVE-2012-6548) CVE-2012-6548 Kernel: udf: information leak on export
CVE-2012-6548 Kernel: udf: information leak on export
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120815,reported=2...
: Security
Depends On: 922354 922355
Blocks: 858947
  Show dependency treegraph
 
Reported: 2013-03-16 07:17 EDT by Prasad J Pandit
Modified: 2015-07-31 03:01 EDT (History)
24 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-09 14:09:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2013-03-16 07:17:50 EDT
Linux kernel built with UDF file system support is vulnerable to an
information leakage flaw. It occurs while doing an UDF export operation
via udf_encode_fh routine.

A user/program could use this flaw to leak kernel memory bytes.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/0143fc5e9f6f5aad4764801015bc8d4b4a278200

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/03/14/21
Comment 1 Prasad J Pandit 2013-03-16 07:25:14 EDT
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG 2.

This issue affects the version of Linux kernel as shipped with Red Hat Enterprise Linux 6. Future kernel updates for Red Hat Enterprise Linux 6 may address this issue.
Comment 3 errata-xmlrpc 2013-07-16 13:28:30 EDT
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1080 https://rhn.redhat.com/errata/RHSA-2013-1080.html
Comment 4 errata-xmlrpc 2013-07-16 14:25:33 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1051 https://rhn.redhat.com/errata/RHSA-2013-1051.html

Note You need to log in before you can comment on or make changes to this bug.